﻿using MakeYourWeb.Models.DataModels;
using MakeYourWeb.Services;
using MkwSharedLibrary.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace MakeYourWeb.Data.Abstract
{
    public interface IWebsiteContentRepository
    {
        Task<IEnumerable<WebCardComponentDM>> GetUsersWebcardsDataAsync(string UserIdentificator, bool FromPostContent);
        int GetNumberOfUsersSavedSites(string UsersIdentificator);
        int GetNumberOfUsersSavedPortals(string UsersIdentificator);
        string GetUserFavoritePortalName(string UserIdentificator);       
        string GetUserFavoriteWebsiteName(string UserIdentificator);
        IEnumerable<WebSiteDM> GetLastOpenedSitesData(string UserIdentificator, int HowManyTake);
        Task<PortalGroupsPageDM> GetUsersPortalGroupsAsync(string UsersIdentificator);
        IEnumerable<WebSiteDM> GetSavedWebsites(string UsersIdentificator, int? TakeFromTop);
        UserInformationDM GetUsersInfo(string UsersIdentificator);
    }

    public interface IChannelsRepository
    {
        ChannelInformationDM GetChannelInformation(string ChannelIdentificator);
        ChannelInformationDM GetChannelInformation(string ChannelIdentificator, string UserIdentificator);
        ChannelInformationDM GetUsersChannelInformation(string UserIdentificator);
        IEnumerable<WebCardComponentDM> GetChannelsPosts(string ChannelIdentificator);
        IEnumerable<WebCardComponentDM> GetChannelsPosts(string ChannelIdentificator, string UserIdentificator);
        ChannelInformationDM GetLastSubscribedChannel(string UserIdentificator);
        IEnumerable<ChannelInformationDM> GetRecommendedChannels(string UserIdentificator);
        IEnumerable<SubscriptionCardDM> GetRecommendedChannelsCards(string UserIdentificator);
        IEnumerable<ChannelInformationDM> GetSubscribedChannels(string UsersIdentificator);
        IEnumerable<SubscriptionCardDM> GetSubscribedChannelsCards(string UsersIdentificator);      
    }

    public interface IPostsRepository
    {
        IEnumerable<WebCardComponentDM> GetChannelsPosts(string ChannelIdentificator);
        IEnumerable<WebCardComponentDM> GetChannelsPosts(string ChannelIdentificator, string UserIdentificator);
        IEnumerable<WebCardComponentDM> GetUsersPosts(string UserIdentificator);
        IEnumerable<WebCardComponentDM> GetLastPosts(int NumberFromTop);
    }

    public interface IBaseEditor
    {       
        Task<int> SaveDBAsync();
        int SaveDB();
    }

    public interface IServerDataEditor : IBaseEditor
    {
        void AddWebsiteClick(UrlPageModel website, string UsersIdentificator);
        void DeleteSavedSite(UrlPageModel DeleteModel, string UsersIdentificator);
        void AddPost(UrlPageModel website, string UsersIdentificator);
        void DeleteSubscription(SubscribeDM model);
        void SubscribeChannel(SubscribeDM model);
        void EditUserInformation(string UserIdentificator, UserInformationDM model);
        Task AddWebsiteSaveAsync(UrlPageModel AddWebSiteModel, string UsersIdentificator, IHtmlAnalyzeService HtmlService);

    }

    public interface IDatabaseMaintence
    {
        void RemoveZombieData();
    }
}
