﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using MakeYourWeb.Models;
using Microsoft.EntityFrameworkCore;

namespace MakeYourWeb.Data.Repositories
{
    public class BasicUserIncludedRepository
    {
        protected readonly ApplicationDbContext DbContext;

        public BasicUserIncludedRepository(ApplicationDbContext context)
        {
            DbContext = context;
        }

        public virtual AppUser GetUser(string UsersIdentificator, bool IncludeSecret)
        {
            try
            {
                return IncludeSecret ?
                        DbContext.Users
                        .Include(u => u.UsersChannel)
                        .Include(u => u.Secret)
                        .First(u => u.UserID.Equals(UsersIdentificator)) :
                        DbContext.Users.Include(u => u.UsersChannel).First(u => u.UserID.Equals(UsersIdentificator));
            }
            catch (Exception)
            {

                throw new KeyNotFoundException("User was not found.");
            }
        }

    }
}
