﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace MakeYourWeb.Data.Repositories
{
    public class DatabaseMaintenceRepository : MakeYourWeb.Data.Abstract.IDatabaseMaintence
    {
        private ApplicationDbContext DbContext;

        public DatabaseMaintenceRepository(ApplicationDbContext context)
        {
            this.DbContext = context;
        }

        public void RemoveZombieData()
        {
            var sitesToDelete = DbContext.Websites.Where(s => !s.SiteSaves.Any());
            if (sitesToDelete.Any())
            {
                foreach (var site in sitesToDelete)
                {
                    DbContext.WebsitesClicks.RemoveRange(DbContext.WebsitesClicks.Where(c => c.WebSiteURL.Equals(site.WebsiteURL)));
                }
                DbContext.SaveChanges();

                DbContext.Websites.RemoveRange(sitesToDelete);
                DbContext.SaveChanges(); //must called now to be able delete portals without sites 
            }

            var portalsToDelete = DbContext.WebPortals.Where(p => !p.Sites.Any()).ToList();
            if (portalsToDelete.Any())
            {
                DbContext.WebPortals.RemoveRange(portalsToDelete);
                DbContext.SaveChanges();
            }
        }
    }
}
