﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using MakeYourWeb.Models;
using MakeYourWeb.Services;
using MkwSharedLibrary;

namespace MakeYourWeb.Data
{
    public abstract class TestingInitializer
    {
        public static string TestingUserID = "vnioernvoerbvuobervo";
        public static string TestingUser02ID = "pmvieronvuervieribveri";
        public static string TestingUser03ID = "pvomeprivnoubiierybve";


        public static string TestingUserPassword = "admin";


        public static void InitializeData(ApplicationDbContext context)
        {
            if (context.Users.Any()) return;

            string InnerSalt = MkwSharedLibrary.Managers.SecurityManager.GeneratePseudoRandomString(64 / 8);
            UserSecret secret01 = new UserSecret()
            {
                UserID = TestingUserID,
                EmailVirification = false,
                InnerId = InnerSalt,
                Password = MkwSharedLibrary.Managers.SecurityManager.MakePasswordHash(TestingUserPassword, InnerSalt.ToByteArray()),
            };

            UserSecret secret02 = new UserSecret()
            {
                UserID = TestingUser02ID,
                EmailVirification = false,
                InnerId = InnerSalt,
                Password = MkwSharedLibrary.Managers.SecurityManager.MakePasswordHash(TestingUserPassword, InnerSalt.ToByteArray()),
            };

            UserSecret secret03 = new UserSecret()
            {
                UserID = TestingUser03ID,
                EmailVirification = false,
                InnerId = InnerSalt,
                Password = MkwSharedLibrary.Managers.SecurityManager.MakePasswordHash(TestingUserPassword, InnerSalt.ToByteArray()),
                
            };

            Channel channel01 = new Channel()
            {
                PostsContent = new List<Post>(),
                UserID = TestingUserID,
                Subscriptions = new List<Subscription>(),
                Blocked = false,
                Created = DateTime.Now,
                UniqueIdentificator = "Malman"
               
            };

            Channel channel02 = new Channel()
            {
                PostsContent = new List<Post>(),
                UserID = TestingUser02ID,
                Subscriptions = new List<Subscription>(),
                Blocked = false,
                Created = DateTime.Now,
                UniqueIdentificator = "Marty"
            };

            Channel channel03 = new Channel()
            {
                PostsContent = new List<Post>(),
                UserID = TestingUser03ID,
                Subscriptions = new List<Subscription>(),
                Blocked = false,
                Created = DateTime.Now,
                UniqueIdentificator = "Alex"
            };

            AppUser user01 = new AppUser()
            {
                UserID = TestingUserID,
                Email = "email@email.com",
                Secret = secret01,
                Nick = "Marthy",
                SavedWebsites = new List<SavedWebsite>(),
                Created = DateTime.Now,
                UsersClicks = new List<WebsiteClick>(),
                UsersSubscriptions = new List<Subscription>(),
                UsersChannel = channel01,
                Description = "First testing account, usually used to test data.",
                IconAvatar = "puppy.jpg"
            };

            AppUser user02 = new AppUser()
            {
                UserID = TestingUser02ID,
                Email = "email02@email.com",
                Secret = secret02,
                Nick = "Malman",
                SavedWebsites = new List<SavedWebsite>(),
                Created = DateTime.Now,
                UsersClicks = new List<WebsiteClick>(),
                UsersSubscriptions = new List<Subscription>(),
                UsersChannel = channel02,
                Description = "Second testing account, first needs me to be able to test data.",
                IconAvatar = "puppy.jpg"
            };

            AppUser user03 = new AppUser()
            {
                UserID = TestingUser03ID,
                Email = "email03@email.com",
                Secret = secret03,
                Nick = "Alex",
                SavedWebsites = new List<SavedWebsite>(),
                Created = DateTime.Now,
                UsersClicks = new List<WebsiteClick>(),
                UsersSubscriptions = new List<Subscription>(),
                UsersChannel = channel03,
                Description = "Third testing account, usually used whet first two amateurs are not able to test to test data.",
                IconAvatar = "puppy.jpg"
            };



            context.AddRange(new UserSecret[] { secret01, secret02, secret03 });
            context.AddRange(new Channel[] { channel01, channel02, channel03 });
            context.AddRange(new AppUser[] { user01, user02, user03 });

            int saveResult = context.SaveChanges();
        }
    }
}
