﻿using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using System;
using System.Collections.Generic;

namespace MakeYourWeb.Migrations
{
    public partial class Init : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "UserSecret",
                columns: table => new
                {
                    UserSecretID = table.Column<string>(type: "nvarchar(450)", nullable: false),
                    EmailVirification = table.Column<bool>(type: "bit", nullable: false),
                    InnerId = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    Password = table.Column<string>(type: "nvarchar(max)", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_UserSecret", x => x.UserSecretID);
                });

            migrationBuilder.CreateTable(
                name: "WebPortals",
                columns: table => new
                {
                    Domain = table.Column<string>(type: "nvarchar(450)", nullable: false),
                    FirstDomain = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    Image = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    Language = table.Column<string>(type: "nvarchar(max)", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_WebPortals", x => x.Domain);
                });

            migrationBuilder.CreateTable(
                name: "Users",
                columns: table => new
                {
                    UserID = table.Column<string>(type: "nvarchar(450)", nullable: false),
                    Created = table.Column<DateTime>(type: "datetime2", nullable: false),
                    Email = table.Column<string>(type: "nvarchar(max)", nullable: false),
                    Nick = table.Column<string>(type: "nvarchar(max)", nullable: false),
                    UserSecretID = table.Column<string>(type: "nvarchar(450)", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Users", x => x.UserID);
                    table.ForeignKey(
                        name: "FK_Users_UserSecret_UserSecretID",
                        column: x => x.UserSecretID,
                        principalTable: "UserSecret",
                        principalColumn: "UserSecretID",
                        onDelete: ReferentialAction.Restrict);
                });

            migrationBuilder.CreateTable(
                name: "PortalUsersConnections",
                columns: table => new
                {
                    ConnectionID = table.Column<int>(type: "int", nullable: false)
                        .Annotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn),
                    PortalDomain = table.Column<string>(type: "nvarchar(450)", nullable: true),
                    PortalID = table.Column<int>(type: "int", nullable: false),
                    UserID = table.Column<string>(type: "nvarchar(450)", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_PortalUsersConnections", x => x.ConnectionID);
                    table.ForeignKey(
                        name: "FK_PortalUsersConnections_WebPortals_PortalDomain",
                        column: x => x.PortalDomain,
                        principalTable: "WebPortals",
                        principalColumn: "Domain",
                        onDelete: ReferentialAction.Restrict);
                    table.ForeignKey(
                        name: "FK_PortalUsersConnections_Users_UserID",
                        column: x => x.UserID,
                        principalTable: "Users",
                        principalColumn: "UserID",
                        onDelete: ReferentialAction.Restrict);
                });

            migrationBuilder.CreateTable(
                name: "WebSitess",
                columns: table => new
                {
                    WebSiteID = table.Column<int>(type: "int", nullable: false)
                        .Annotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn),
                    AddedDate = table.Column<DateTime>(type: "datetime2", nullable: false),
                    AppUserUserID = table.Column<string>(type: "nvarchar(450)", nullable: true),
                    UrlAdrress = table.Column<string>(type: "nvarchar(max)", nullable: false),
                    WebPortalID = table.Column<string>(type: "nvarchar(450)", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_WebSitess", x => x.WebSiteID);
                    table.ForeignKey(
                        name: "FK_WebSitess_Users_AppUserUserID",
                        column: x => x.AppUserUserID,
                        principalTable: "Users",
                        principalColumn: "UserID",
                        onDelete: ReferentialAction.Restrict);
                    table.ForeignKey(
                        name: "FK_WebSitess_WebPortals_WebPortalID",
                        column: x => x.WebPortalID,
                        principalTable: "WebPortals",
                        principalColumn: "Domain",
                        onDelete: ReferentialAction.Restrict);
                });

            migrationBuilder.CreateIndex(
                name: "IX_PortalUsersConnections_PortalDomain",
                table: "PortalUsersConnections",
                column: "PortalDomain");

            migrationBuilder.CreateIndex(
                name: "IX_PortalUsersConnections_UserID",
                table: "PortalUsersConnections",
                column: "UserID");

            migrationBuilder.CreateIndex(
                name: "IX_Users_UserSecretID",
                table: "Users",
                column: "UserSecretID");

            migrationBuilder.CreateIndex(
                name: "IX_WebSitess_AppUserUserID",
                table: "WebSitess",
                column: "AppUserUserID");

            migrationBuilder.CreateIndex(
                name: "IX_WebSitess_WebPortalID",
                table: "WebSitess",
                column: "WebPortalID");
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "PortalUsersConnections");

            migrationBuilder.DropTable(
                name: "WebSitess");

            migrationBuilder.DropTable(
                name: "Users");

            migrationBuilder.DropTable(
                name: "WebPortals");

            migrationBuilder.DropTable(
                name: "UserSecret");
        }
    }
}
