﻿using Microsoft.EntityFrameworkCore.Migrations;
using System;
using System.Collections.Generic;

namespace MakeYourWeb.Migrations
{
    public partial class usersecret : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_Users_UserSecret_UserSecretID",
                table: "Users");

            migrationBuilder.DropIndex(
                name: "IX_Users_UserSecretID",
                table: "Users");

            migrationBuilder.DropColumn(
                name: "UserSecretID",
                table: "Users");

            migrationBuilder.AddColumn<string>(
                name: "UserID",
                table: "UserSecret",
                type: "nvarchar(450)",
                nullable: true);

            migrationBuilder.CreateIndex(
                name: "IX_UserSecret_UserID",
                table: "UserSecret",
                column: "UserID",
                unique: true,
                filter: "[UserID] IS NOT NULL");

            migrationBuilder.AddForeignKey(
                name: "FK_UserSecret_Users_UserID",
                table: "UserSecret",
                column: "UserID",
                principalTable: "Users",
                principalColumn: "UserID",
                onDelete: ReferentialAction.Restrict);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_UserSecret_Users_UserID",
                table: "UserSecret");

            migrationBuilder.DropIndex(
                name: "IX_UserSecret_UserID",
                table: "UserSecret");

            migrationBuilder.DropColumn(
                name: "UserID",
                table: "UserSecret");

            migrationBuilder.AddColumn<string>(
                name: "UserSecretID",
                table: "Users",
                nullable: true);

            migrationBuilder.CreateIndex(
                name: "IX_Users_UserSecretID",
                table: "Users",
                column: "UserSecretID");

            migrationBuilder.AddForeignKey(
                name: "FK_Users_UserSecret_UserSecretID",
                table: "Users",
                column: "UserSecretID",
                principalTable: "UserSecret",
                principalColumn: "UserSecretID",
                onDelete: ReferentialAction.Restrict);
        }
    }
}
