﻿using Microsoft.EntityFrameworkCore.Migrations;
using System;
using System.Collections.Generic;

namespace MakeYourWeb.Migrations
{
    public partial class sitesedits : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_WebSitess_WebPortals_WebPortalID",
                table: "WebSitess");

            migrationBuilder.DropIndex(
                name: "IX_WebSitess_WebPortalID",
                table: "WebSitess");

            migrationBuilder.DropColumn(
                name: "WebPortalID",
                table: "WebSitess");

            migrationBuilder.DropColumn(
                name: "FirstDomain",
                table: "WebPortals");

            migrationBuilder.AddColumn<string>(
                name: "Domain",
                table: "WebSitess",
                type: "nvarchar(450)",
                nullable: true);

            migrationBuilder.AlterColumn<string>(
                name: "Password",
                table: "UserSecret",
                type: "nvarchar(max)",
                nullable: false,
                oldClrType: typeof(string),
                oldNullable: true);

            migrationBuilder.CreateIndex(
                name: "IX_WebSitess_Domain",
                table: "WebSitess",
                column: "Domain");

            migrationBuilder.AddForeignKey(
                name: "FK_WebSitess_WebPortals_Domain",
                table: "WebSitess",
                column: "Domain",
                principalTable: "WebPortals",
                principalColumn: "Domain",
                onDelete: ReferentialAction.Restrict);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_WebSitess_WebPortals_Domain",
                table: "WebSitess");

            migrationBuilder.DropIndex(
                name: "IX_WebSitess_Domain",
                table: "WebSitess");

            migrationBuilder.DropColumn(
                name: "Domain",
                table: "WebSitess");

            migrationBuilder.AddColumn<string>(
                name: "WebPortalID",
                table: "WebSitess",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "FirstDomain",
                table: "WebPortals",
                nullable: true);

            migrationBuilder.AlterColumn<string>(
                name: "Password",
                table: "UserSecret",
                nullable: true,
                oldClrType: typeof(string),
                oldType: "nvarchar(max)");

            migrationBuilder.CreateIndex(
                name: "IX_WebSitess_WebPortalID",
                table: "WebSitess",
                column: "WebPortalID");

            migrationBuilder.AddForeignKey(
                name: "FK_WebSitess_WebPortals_WebPortalID",
                table: "WebSitess",
                column: "WebPortalID",
                principalTable: "WebPortals",
                principalColumn: "Domain",
                onDelete: ReferentialAction.Restrict);
        }
    }
}
