﻿using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using System;
using System.Collections.Generic;

namespace MakeYourWeb.Migrations
{
    public partial class usersToSitesRelation : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_WebSitess_Users_UserID",
                table: "WebSitess");

            migrationBuilder.DropIndex(
                name: "IX_WebSitess_UserID",
                table: "WebSitess");

            migrationBuilder.DropColumn(
                name: "UserID",
                table: "WebSitess");

            migrationBuilder.CreateTable(
                name: "UsersToSitesConnectors",
                columns: table => new
                {
                    AppUserToSiteConnectorID = table.Column<int>(type: "int", nullable: false)
                        .Annotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn),
                    UserID = table.Column<string>(type: "nvarchar(450)", nullable: true),
                    WebSiteID = table.Column<int>(type: "int", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_UsersToSitesConnectors", x => x.AppUserToSiteConnectorID);
                    table.ForeignKey(
                        name: "FK_UsersToSitesConnectors_Users_UserID",
                        column: x => x.UserID,
                        principalTable: "Users",
                        principalColumn: "UserID",
                        onDelete: ReferentialAction.Restrict);
                    table.ForeignKey(
                        name: "FK_UsersToSitesConnectors_WebSitess_WebSiteID",
                        column: x => x.WebSiteID,
                        principalTable: "WebSitess",
                        principalColumn: "WebSiteID",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.CreateIndex(
                name: "IX_UsersToSitesConnectors_UserID",
                table: "UsersToSitesConnectors",
                column: "UserID");

            migrationBuilder.CreateIndex(
                name: "IX_UsersToSitesConnectors_WebSiteID",
                table: "UsersToSitesConnectors",
                column: "WebSiteID");
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "UsersToSitesConnectors");

            migrationBuilder.AddColumn<string>(
                name: "UserID",
                table: "WebSitess",
                nullable: true);

            migrationBuilder.CreateIndex(
                name: "IX_WebSitess_UserID",
                table: "WebSitess",
                column: "UserID");

            migrationBuilder.AddForeignKey(
                name: "FK_WebSitess_Users_UserID",
                table: "WebSitess",
                column: "UserID",
                principalTable: "Users",
                principalColumn: "UserID",
                onDelete: ReferentialAction.Restrict);
        }
    }
}
