﻿using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using System;
using System.Collections.Generic;

namespace MakeYourWeb.Migrations
{
    public partial class usersClicks : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "WebSiteClick",
                columns: table => new
                {
                    WebSiteClickID = table.Column<int>(type: "int", nullable: false)
                        .Annotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn),
                    Created = table.Column<DateTime>(type: "datetime2", nullable: false),
                    UserID = table.Column<string>(type: "nvarchar(450)", nullable: true),
                    WebSiteUrl = table.Column<string>(type: "nvarchar(450)", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_WebSiteClick", x => x.WebSiteClickID);
                    table.ForeignKey(
                        name: "FK_WebSiteClick_Users_UserID",
                        column: x => x.UserID,
                        principalTable: "Users",
                        principalColumn: "UserID",
                        onDelete: ReferentialAction.Restrict);
                    table.ForeignKey(
                        name: "FK_WebSiteClick_WebSitess_WebSiteUrl",
                        column: x => x.WebSiteUrl,
                        principalTable: "WebSitess",
                        principalColumn: "WebSiteURL",
                        onDelete: ReferentialAction.Restrict);
                });

            migrationBuilder.CreateIndex(
                name: "IX_WebSiteClick_UserID",
                table: "WebSiteClick",
                column: "UserID");

            migrationBuilder.CreateIndex(
                name: "IX_WebSiteClick_WebSiteUrl",
                table: "WebSiteClick",
                column: "WebSiteUrl");
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "WebSiteClick");
        }
    }
}
