﻿using Microsoft.EntityFrameworkCore.Migrations;
using System;
using System.Collections.Generic;

namespace MakeYourWeb.Migrations
{
    public partial class clicksEdit01 : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_WebSiteClick_Users_UserID",
                table: "WebSiteClick");

            migrationBuilder.DropForeignKey(
                name: "FK_WebSiteClick_WebSitess_WebSiteUrl",
                table: "WebSiteClick");

            migrationBuilder.DropPrimaryKey(
                name: "PK_WebSiteClick",
                table: "WebSiteClick");

            migrationBuilder.RenameTable(
                name: "WebSiteClick",
                newName: "UsersToSitesClicks");

            migrationBuilder.RenameColumn(
                name: "WebSiteUrl",
                table: "UsersToSitesClicks",
                newName: "WebSiteURL");

            migrationBuilder.RenameIndex(
                name: "IX_WebSiteClick_WebSiteUrl",
                table: "UsersToSitesClicks",
                newName: "IX_UsersToSitesClicks_WebSiteURL");

            migrationBuilder.RenameIndex(
                name: "IX_WebSiteClick_UserID",
                table: "UsersToSitesClicks",
                newName: "IX_UsersToSitesClicks_UserID");

            migrationBuilder.AddPrimaryKey(
                name: "PK_UsersToSitesClicks",
                table: "UsersToSitesClicks",
                column: "WebSiteClickID");

            migrationBuilder.AddForeignKey(
                name: "FK_UsersToSitesClicks_Users_UserID",
                table: "UsersToSitesClicks",
                column: "UserID",
                principalTable: "Users",
                principalColumn: "UserID",
                onDelete: ReferentialAction.Restrict);

            migrationBuilder.AddForeignKey(
                name: "FK_UsersToSitesClicks_WebSitess_WebSiteURL",
                table: "UsersToSitesClicks",
                column: "WebSiteURL",
                principalTable: "WebSitess",
                principalColumn: "WebSiteURL",
                onDelete: ReferentialAction.Restrict);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_UsersToSitesClicks_Users_UserID",
                table: "UsersToSitesClicks");

            migrationBuilder.DropForeignKey(
                name: "FK_UsersToSitesClicks_WebSitess_WebSiteURL",
                table: "UsersToSitesClicks");

            migrationBuilder.DropPrimaryKey(
                name: "PK_UsersToSitesClicks",
                table: "UsersToSitesClicks");

            migrationBuilder.RenameTable(
                name: "UsersToSitesClicks",
                newName: "WebSiteClick");

            migrationBuilder.RenameColumn(
                name: "WebSiteURL",
                table: "WebSiteClick",
                newName: "WebSiteUrl");

            migrationBuilder.RenameIndex(
                name: "IX_UsersToSitesClicks_WebSiteURL",
                table: "WebSiteClick",
                newName: "IX_WebSiteClick_WebSiteUrl");

            migrationBuilder.RenameIndex(
                name: "IX_UsersToSitesClicks_UserID",
                table: "WebSiteClick",
                newName: "IX_WebSiteClick_UserID");

            migrationBuilder.AddPrimaryKey(
                name: "PK_WebSiteClick",
                table: "WebSiteClick",
                column: "WebSiteClickID");

            migrationBuilder.AddForeignKey(
                name: "FK_WebSiteClick_Users_UserID",
                table: "WebSiteClick",
                column: "UserID",
                principalTable: "Users",
                principalColumn: "UserID",
                onDelete: ReferentialAction.Restrict);

            migrationBuilder.AddForeignKey(
                name: "FK_WebSiteClick_WebSitess_WebSiteUrl",
                table: "WebSiteClick",
                column: "WebSiteUrl",
                principalTable: "WebSitess",
                principalColumn: "WebSiteURL",
                onDelete: ReferentialAction.Restrict);
        }
    }
}
