﻿using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using System;
using System.Collections.Generic;

namespace MakeYourWeb.Migrations
{
    public partial class postWebsiteConnectors : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_Channel_Users_UserID",
                table: "Channel");

            migrationBuilder.DropForeignKey(
                name: "FK_Post_Channel_ChannelID",
                table: "Post");

            migrationBuilder.DropForeignKey(
                name: "FK_Post_WebSitess_WebsiteContentWebSiteURL",
                table: "Post");

            migrationBuilder.DropForeignKey(
                name: "FK_Subscription_Channel_ChannelID",
                table: "Subscription");

            migrationBuilder.DropForeignKey(
                name: "FK_Subscription_Users_UserID",
                table: "Subscription");

            migrationBuilder.DropPrimaryKey(
                name: "PK_Subscription",
                table: "Subscription");

            migrationBuilder.DropPrimaryKey(
                name: "PK_Post",
                table: "Post");

            migrationBuilder.DropIndex(
                name: "IX_Post_WebsiteContentWebSiteURL",
                table: "Post");

            migrationBuilder.DropPrimaryKey(
                name: "PK_Channel",
                table: "Channel");

            migrationBuilder.DropColumn(
                name: "WebSiteURL",
                table: "Post");

            migrationBuilder.DropColumn(
                name: "WebsiteContentWebSiteURL",
                table: "Post");

            migrationBuilder.RenameTable(
                name: "Subscription",
                newName: "Subscriptions");

            migrationBuilder.RenameTable(
                name: "Post",
                newName: "Posts");

            migrationBuilder.RenameTable(
                name: "Channel",
                newName: "UsersChannels");

            migrationBuilder.RenameIndex(
                name: "IX_Subscription_UserID",
                table: "Subscriptions",
                newName: "IX_Subscriptions_UserID");

            migrationBuilder.RenameIndex(
                name: "IX_Subscription_ChannelID",
                table: "Subscriptions",
                newName: "IX_Subscriptions_ChannelID");

            migrationBuilder.RenameIndex(
                name: "IX_Post_ChannelID",
                table: "Posts",
                newName: "IX_Posts_ChannelID");

            migrationBuilder.RenameIndex(
                name: "IX_Channel_UserID",
                table: "UsersChannels",
                newName: "IX_UsersChannels_UserID");

            migrationBuilder.AddPrimaryKey(
                name: "PK_Subscriptions",
                table: "Subscriptions",
                column: "SubscriptionID");

            migrationBuilder.AddPrimaryKey(
                name: "PK_Posts",
                table: "Posts",
                column: "PostID");

            migrationBuilder.AddPrimaryKey(
                name: "PK_UsersChannels",
                table: "UsersChannels",
                column: "ChannelID");

            migrationBuilder.CreateTable(
                name: "PostToWebsiteConnectors",
                columns: table => new
                {
                    PostToSiteConnectorID = table.Column<int>(type: "int", nullable: false)
                        .Annotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn),
                    ConnectorCreated = table.Column<DateTime>(type: "datetime2", nullable: false),
                    PostID = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    PostID1 = table.Column<int>(type: "int", nullable: true),
                    WebSiteURL = table.Column<string>(type: "nvarchar(450)", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_PostToWebsiteConnectors", x => x.PostToSiteConnectorID);
                    table.ForeignKey(
                        name: "FK_PostToWebsiteConnectors_Posts_PostID1",
                        column: x => x.PostID1,
                        principalTable: "Posts",
                        principalColumn: "PostID",
                        onDelete: ReferentialAction.Restrict);
                    table.ForeignKey(
                        name: "FK_PostToWebsiteConnectors_WebSitess_WebSiteURL",
                        column: x => x.WebSiteURL,
                        principalTable: "WebSitess",
                        principalColumn: "WebSiteURL",
                        onDelete: ReferentialAction.Restrict);
                });

            migrationBuilder.CreateIndex(
                name: "IX_PostToWebsiteConnectors_PostID1",
                table: "PostToWebsiteConnectors",
                column: "PostID1");

            migrationBuilder.CreateIndex(
                name: "IX_PostToWebsiteConnectors_WebSiteURL",
                table: "PostToWebsiteConnectors",
                column: "WebSiteURL");

            migrationBuilder.AddForeignKey(
                name: "FK_Posts_UsersChannels_ChannelID",
                table: "Posts",
                column: "ChannelID",
                principalTable: "UsersChannels",
                principalColumn: "ChannelID",
                onDelete: ReferentialAction.Cascade);

            migrationBuilder.AddForeignKey(
                name: "FK_Subscriptions_UsersChannels_ChannelID",
                table: "Subscriptions",
                column: "ChannelID",
                principalTable: "UsersChannels",
                principalColumn: "ChannelID",
                onDelete: ReferentialAction.Cascade);

            migrationBuilder.AddForeignKey(
                name: "FK_Subscriptions_Users_UserID",
                table: "Subscriptions",
                column: "UserID",
                principalTable: "Users",
                principalColumn: "UserID",
                onDelete: ReferentialAction.Restrict);

            migrationBuilder.AddForeignKey(
                name: "FK_UsersChannels_Users_UserID",
                table: "UsersChannels",
                column: "UserID",
                principalTable: "Users",
                principalColumn: "UserID",
                onDelete: ReferentialAction.Restrict);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_Posts_UsersChannels_ChannelID",
                table: "Posts");

            migrationBuilder.DropForeignKey(
                name: "FK_Subscriptions_UsersChannels_ChannelID",
                table: "Subscriptions");

            migrationBuilder.DropForeignKey(
                name: "FK_Subscriptions_Users_UserID",
                table: "Subscriptions");

            migrationBuilder.DropForeignKey(
                name: "FK_UsersChannels_Users_UserID",
                table: "UsersChannels");

            migrationBuilder.DropTable(
                name: "PostToWebsiteConnectors");

            migrationBuilder.DropPrimaryKey(
                name: "PK_UsersChannels",
                table: "UsersChannels");

            migrationBuilder.DropPrimaryKey(
                name: "PK_Subscriptions",
                table: "Subscriptions");

            migrationBuilder.DropPrimaryKey(
                name: "PK_Posts",
                table: "Posts");

            migrationBuilder.RenameTable(
                name: "UsersChannels",
                newName: "Channel");

            migrationBuilder.RenameTable(
                name: "Subscriptions",
                newName: "Subscription");

            migrationBuilder.RenameTable(
                name: "Posts",
                newName: "Post");

            migrationBuilder.RenameIndex(
                name: "IX_UsersChannels_UserID",
                table: "Channel",
                newName: "IX_Channel_UserID");

            migrationBuilder.RenameIndex(
                name: "IX_Subscriptions_UserID",
                table: "Subscription",
                newName: "IX_Subscription_UserID");

            migrationBuilder.RenameIndex(
                name: "IX_Subscriptions_ChannelID",
                table: "Subscription",
                newName: "IX_Subscription_ChannelID");

            migrationBuilder.RenameIndex(
                name: "IX_Posts_ChannelID",
                table: "Post",
                newName: "IX_Post_ChannelID");

            migrationBuilder.AddColumn<int>(
                name: "WebSiteURL",
                table: "Post",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.AddColumn<string>(
                name: "WebsiteContentWebSiteURL",
                table: "Post",
                nullable: true);

            migrationBuilder.AddPrimaryKey(
                name: "PK_Channel",
                table: "Channel",
                column: "ChannelID");

            migrationBuilder.AddPrimaryKey(
                name: "PK_Subscription",
                table: "Subscription",
                column: "SubscriptionID");

            migrationBuilder.AddPrimaryKey(
                name: "PK_Post",
                table: "Post",
                column: "PostID");

            migrationBuilder.CreateIndex(
                name: "IX_Post_WebsiteContentWebSiteURL",
                table: "Post",
                column: "WebsiteContentWebSiteURL");

            migrationBuilder.AddForeignKey(
                name: "FK_Channel_Users_UserID",
                table: "Channel",
                column: "UserID",
                principalTable: "Users",
                principalColumn: "UserID",
                onDelete: ReferentialAction.Restrict);

            migrationBuilder.AddForeignKey(
                name: "FK_Post_Channel_ChannelID",
                table: "Post",
                column: "ChannelID",
                principalTable: "Channel",
                principalColumn: "ChannelID",
                onDelete: ReferentialAction.Cascade);

            migrationBuilder.AddForeignKey(
                name: "FK_Post_WebSitess_WebsiteContentWebSiteURL",
                table: "Post",
                column: "WebsiteContentWebSiteURL",
                principalTable: "WebSitess",
                principalColumn: "WebSiteURL",
                onDelete: ReferentialAction.Restrict);

            migrationBuilder.AddForeignKey(
                name: "FK_Subscription_Channel_ChannelID",
                table: "Subscription",
                column: "ChannelID",
                principalTable: "Channel",
                principalColumn: "ChannelID",
                onDelete: ReferentialAction.Cascade);

            migrationBuilder.AddForeignKey(
                name: "FK_Subscription_Users_UserID",
                table: "Subscription",
                column: "UserID",
                principalTable: "Users",
                principalColumn: "UserID",
                onDelete: ReferentialAction.Restrict);
        }
    }
}
