﻿using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using System;
using System.Collections.Generic;

namespace MakeYourWeb.Migrations
{
    public partial class postsAsConnectors : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "PostToWebsiteConnectors");

            migrationBuilder.AddColumn<string>(
                name: "WebSiteURL",
                table: "Posts",
                type: "nvarchar(450)",
                nullable: true);

            migrationBuilder.CreateIndex(
                name: "IX_Posts_WebSiteURL",
                table: "Posts",
                column: "WebSiteURL");

            migrationBuilder.AddForeignKey(
                name: "FK_Posts_WebSitess_WebSiteURL",
                table: "Posts",
                column: "WebSiteURL",
                principalTable: "WebSitess",
                principalColumn: "WebSiteURL",
                onDelete: ReferentialAction.Restrict);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_Posts_WebSitess_WebSiteURL",
                table: "Posts");

            migrationBuilder.DropIndex(
                name: "IX_Posts_WebSiteURL",
                table: "Posts");

            migrationBuilder.DropColumn(
                name: "WebSiteURL",
                table: "Posts");

            migrationBuilder.CreateTable(
                name: "PostToWebsiteConnectors",
                columns: table => new
                {
                    PostToSiteConnectorID = table.Column<int>(nullable: false)
                        .Annotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn),
                    ConnectorCreated = table.Column<DateTime>(nullable: false),
                    PostID = table.Column<string>(nullable: true),
                    PostID1 = table.Column<int>(nullable: true),
                    WebSiteURL = table.Column<string>(nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_PostToWebsiteConnectors", x => x.PostToSiteConnectorID);
                    table.ForeignKey(
                        name: "FK_PostToWebsiteConnectors_Posts_PostID1",
                        column: x => x.PostID1,
                        principalTable: "Posts",
                        principalColumn: "PostID",
                        onDelete: ReferentialAction.Restrict);
                    table.ForeignKey(
                        name: "FK_PostToWebsiteConnectors_WebSitess_WebSiteURL",
                        column: x => x.WebSiteURL,
                        principalTable: "WebSitess",
                        principalColumn: "WebSiteURL",
                        onDelete: ReferentialAction.Restrict);
                });

            migrationBuilder.CreateIndex(
                name: "IX_PostToWebsiteConnectors_PostID1",
                table: "PostToWebsiteConnectors",
                column: "PostID1");

            migrationBuilder.CreateIndex(
                name: "IX_PostToWebsiteConnectors_WebSiteURL",
                table: "PostToWebsiteConnectors",
                column: "WebSiteURL");
        }
    }
}
