﻿using Microsoft.EntityFrameworkCore.Migrations;
using System;
using System.Collections.Generic;

namespace MakeYourWeb.Migrations
{
    public partial class nameEdits : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_Posts_WebSitess_WebSiteURL",
                table: "Posts");

            migrationBuilder.DropForeignKey(
                name: "FK_UsersToSitesClicks_Users_UserID",
                table: "UsersToSitesClicks");

            migrationBuilder.DropForeignKey(
                name: "FK_UsersToSitesClicks_WebSitess_WebSiteURL",
                table: "UsersToSitesClicks");

            migrationBuilder.DropForeignKey(
                name: "FK_UsersToSitesConnectors_Users_UserID",
                table: "UsersToSitesConnectors");

            migrationBuilder.DropForeignKey(
                name: "FK_UsersToSitesConnectors_WebSitess_WebSiteURL",
                table: "UsersToSitesConnectors");

            migrationBuilder.DropForeignKey(
                name: "FK_WebSitess_WebPortals_PortalDomain",
                table: "WebSitess");

            migrationBuilder.DropPrimaryKey(
                name: "PK_WebSitess",
                table: "WebSitess");

            migrationBuilder.DropPrimaryKey(
                name: "PK_UsersToSitesConnectors",
                table: "UsersToSitesConnectors");

            migrationBuilder.DropPrimaryKey(
                name: "PK_UsersToSitesClicks",
                table: "UsersToSitesClicks");

            migrationBuilder.RenameTable(
                name: "WebSitess",
                newName: "Websites");

            migrationBuilder.RenameTable(
                name: "UsersToSitesConnectors",
                newName: "SavedWebsites");

            migrationBuilder.RenameTable(
                name: "UsersToSitesClicks",
                newName: "WebsitesClicks");

            migrationBuilder.RenameIndex(
                name: "IX_WebSitess_PortalDomain",
                table: "Websites",
                newName: "IX_Websites_PortalDomain");

            migrationBuilder.RenameIndex(
                name: "IX_UsersToSitesConnectors_WebSiteURL",
                table: "SavedWebsites",
                newName: "IX_SavedWebsites_WebSiteURL");

            migrationBuilder.RenameIndex(
                name: "IX_UsersToSitesConnectors_UserID",
                table: "SavedWebsites",
                newName: "IX_SavedWebsites_UserID");

            migrationBuilder.RenameIndex(
                name: "IX_UsersToSitesClicks_WebSiteURL",
                table: "WebsitesClicks",
                newName: "IX_WebsitesClicks_WebSiteURL");

            migrationBuilder.RenameIndex(
                name: "IX_UsersToSitesClicks_UserID",
                table: "WebsitesClicks",
                newName: "IX_WebsitesClicks_UserID");

            migrationBuilder.AddPrimaryKey(
                name: "PK_Websites",
                table: "Websites",
                column: "WebsiteURL");

            migrationBuilder.AddPrimaryKey(
                name: "PK_SavedWebsites",
                table: "SavedWebsites",
                column: "SavedWebsiteID");

            migrationBuilder.AddPrimaryKey(
                name: "PK_WebsitesClicks",
                table: "WebsitesClicks",
                column: "WebSiteClickID");

            migrationBuilder.AddForeignKey(
                name: "FK_Posts_Websites_WebSiteURL",
                table: "Posts",
                column: "WebSiteURL",
                principalTable: "Websites",
                principalColumn: "WebsiteURL",
                onDelete: ReferentialAction.Restrict);

            migrationBuilder.AddForeignKey(
                name: "FK_SavedWebsites_Users_UserID",
                table: "SavedWebsites",
                column: "UserID",
                principalTable: "Users",
                principalColumn: "UserID",
                onDelete: ReferentialAction.Restrict);

            migrationBuilder.AddForeignKey(
                name: "FK_SavedWebsites_Websites_WebSiteURL",
                table: "SavedWebsites",
                column: "WebSiteURL",
                principalTable: "Websites",
                principalColumn: "WebsiteURL",
                onDelete: ReferentialAction.Restrict);

            migrationBuilder.AddForeignKey(
                name: "FK_Websites_WebPortals_PortalDomain",
                table: "Websites",
                column: "PortalDomain",
                principalTable: "WebPortals",
                principalColumn: "PortalDomain",
                onDelete: ReferentialAction.Restrict);

            migrationBuilder.AddForeignKey(
                name: "FK_WebsitesClicks_Users_UserID",
                table: "WebsitesClicks",
                column: "UserID",
                principalTable: "Users",
                principalColumn: "UserID",
                onDelete: ReferentialAction.Restrict);

            migrationBuilder.AddForeignKey(
                name: "FK_WebsitesClicks_Websites_WebSiteURL",
                table: "WebsitesClicks",
                column: "WebSiteURL",
                principalTable: "Websites",
                principalColumn: "WebsiteURL",
                onDelete: ReferentialAction.Restrict);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_Posts_Websites_WebSiteURL",
                table: "Posts");

            migrationBuilder.DropForeignKey(
                name: "FK_SavedWebsites_Users_UserID",
                table: "SavedWebsites");

            migrationBuilder.DropForeignKey(
                name: "FK_SavedWebsites_Websites_WebSiteURL",
                table: "SavedWebsites");

            migrationBuilder.DropForeignKey(
                name: "FK_Websites_WebPortals_PortalDomain",
                table: "Websites");

            migrationBuilder.DropForeignKey(
                name: "FK_WebsitesClicks_Users_UserID",
                table: "WebsitesClicks");

            migrationBuilder.DropForeignKey(
                name: "FK_WebsitesClicks_Websites_WebSiteURL",
                table: "WebsitesClicks");

            migrationBuilder.DropPrimaryKey(
                name: "PK_WebsitesClicks",
                table: "WebsitesClicks");

            migrationBuilder.DropPrimaryKey(
                name: "PK_Websites",
                table: "Websites");

            migrationBuilder.DropPrimaryKey(
                name: "PK_SavedWebsites",
                table: "SavedWebsites");

            migrationBuilder.RenameTable(
                name: "WebsitesClicks",
                newName: "UsersToSitesClicks");

            migrationBuilder.RenameTable(
                name: "Websites",
                newName: "WebSitess");

            migrationBuilder.RenameTable(
                name: "SavedWebsites",
                newName: "UsersToSitesConnectors");

            migrationBuilder.RenameIndex(
                name: "IX_WebsitesClicks_WebSiteURL",
                table: "UsersToSitesClicks",
                newName: "IX_UsersToSitesClicks_WebSiteURL");

            migrationBuilder.RenameIndex(
                name: "IX_WebsitesClicks_UserID",
                table: "UsersToSitesClicks",
                newName: "IX_UsersToSitesClicks_UserID");

            migrationBuilder.RenameIndex(
                name: "IX_Websites_PortalDomain",
                table: "WebSitess",
                newName: "IX_WebSitess_PortalDomain");

            migrationBuilder.RenameIndex(
                name: "IX_SavedWebsites_WebSiteURL",
                table: "UsersToSitesConnectors",
                newName: "IX_UsersToSitesConnectors_WebSiteURL");

            migrationBuilder.RenameIndex(
                name: "IX_SavedWebsites_UserID",
                table: "UsersToSitesConnectors",
                newName: "IX_UsersToSitesConnectors_UserID");

            migrationBuilder.AddPrimaryKey(
                name: "PK_UsersToSitesClicks",
                table: "UsersToSitesClicks",
                column: "WebSiteClickID");

            migrationBuilder.AddPrimaryKey(
                name: "PK_WebSitess",
                table: "WebSitess",
                column: "WebsiteURL");

            migrationBuilder.AddPrimaryKey(
                name: "PK_UsersToSitesConnectors",
                table: "UsersToSitesConnectors",
                column: "SavedWebsiteID");

            migrationBuilder.AddForeignKey(
                name: "FK_Posts_WebSitess_WebSiteURL",
                table: "Posts",
                column: "WebSiteURL",
                principalTable: "WebSitess",
                principalColumn: "WebsiteURL",
                onDelete: ReferentialAction.Restrict);

            migrationBuilder.AddForeignKey(
                name: "FK_UsersToSitesClicks_Users_UserID",
                table: "UsersToSitesClicks",
                column: "UserID",
                principalTable: "Users",
                principalColumn: "UserID",
                onDelete: ReferentialAction.Restrict);

            migrationBuilder.AddForeignKey(
                name: "FK_UsersToSitesClicks_WebSitess_WebSiteURL",
                table: "UsersToSitesClicks",
                column: "WebSiteURL",
                principalTable: "WebSitess",
                principalColumn: "WebsiteURL",
                onDelete: ReferentialAction.Restrict);

            migrationBuilder.AddForeignKey(
                name: "FK_UsersToSitesConnectors_Users_UserID",
                table: "UsersToSitesConnectors",
                column: "UserID",
                principalTable: "Users",
                principalColumn: "UserID",
                onDelete: ReferentialAction.Restrict);

            migrationBuilder.AddForeignKey(
                name: "FK_UsersToSitesConnectors_WebSitess_WebSiteURL",
                table: "UsersToSitesConnectors",
                column: "WebSiteURL",
                principalTable: "WebSitess",
                principalColumn: "WebsiteURL",
                onDelete: ReferentialAction.Restrict);

            migrationBuilder.AddForeignKey(
                name: "FK_WebSitess_WebPortals_PortalDomain",
                table: "WebSitess",
                column: "PortalDomain",
                principalTable: "WebPortals",
                principalColumn: "PortalDomain",
                onDelete: ReferentialAction.Restrict);
        }
    }
}
