﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace MakeYourWeb.Models
{
    public class AppUser
    {
        [Key]
        public string UserID { get; set; }        
        public string Email { get; set; }        
        public string Nick { get; set; }
        public virtual UserSecret Secret { get; set; }
        public virtual ICollection<SavedWebsite> SavedWebsites { get; set; }
        public virtual ICollection<WebsiteClick> UsersClicks { get; set; }
        public virtual Channel UsersChannel { get; set; }

        public virtual ICollection<Subscription> UsersSubscriptions { get; set; }

        public DateTime Created { get; set; }
        public string Description { get; set; }
        public string IconAvatar { get; set; }
    }

    public class UserSecret
    {
        [Key]
        public string UserSecretID { get; set; }
        public string Password { get; set; }
        public string InnerId { get; set; }
        public bool EmailVirification { get; set; }

        public string UserID { get; set; }
        public virtual AppUser SecretOwner { get; set; }
    }
}
