﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.ComponentModel.DataAnnotations;
using System.Net;
using System.Text.RegularExpressions;
using System.ComponentModel.DataAnnotations.Schema;
using System.Net.Http;

namespace MakeYourWeb.Models
{
    public class Website
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.None)]
        public string WebsiteURL { get; set; }

        public string PortalDomain { get; set; }
        public virtual WebPortal Portal { get; set; }

        public virtual ICollection<SavedWebsite> SiteSaves { get; set; }
        public virtual ICollection<Post> RelatedPosts { get; set; }
        public virtual ICollection<WebsiteClick> UsersClicks { get; set; }


        public string MainParagraph { get; set; }
        public DateTime AddedDate { get; set; }
        public string Description { get; set; }
        public string Title { get; set; }
        public string MainHeader { get; set; }
        public string FirstImage { get; set; }

        public bool HasOkStatusCode { get; set; }
        public DateTime LastCheckDate { get; set; }

        public static async Task<bool> IsSiteStatusCodeOKAsync(Uri siteUrl)
        {
            //TODO - http vs https
            try
            {
                using (HttpClient httpClient = new HttpClient())
                {
                    HttpRequestMessage request = new HttpRequestMessage(HttpMethod.Head, siteUrl);
                    HttpResponseMessage response = await httpClient.SendAsync(request);
                    return response.IsSuccessStatusCode;
                }                
            }
            catch (Exception)
            {
                return false;
            }
        }       
    }
}
