﻿IF OBJECT_ID(N'__EFMigrationsHistory') IS NULL
BEGIN
    CREATE TABLE [__EFMigrationsHistory] (
        [MigrationId] nvarchar(150) NOT NULL,
        [ProductVersion] nvarchar(32) NOT NULL,
        CONSTRAINT [PK___EFMigrationsHistory] PRIMARY KEY ([MigrationId])
    );
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170819214915_InitialCreate')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20170819214915_InitialCreate', N'2.0.0-rtm-26452');
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820101525_Init')
BEGIN
    CREATE TABLE [UserSecret] (
        [UserSecretID] nvarchar(450) NOT NULL,
        [EmailVirification] bit NOT NULL,
        [InnerId] nvarchar(max) NULL,
        [Password] nvarchar(max) NULL,
        CONSTRAINT [PK_UserSecret] PRIMARY KEY ([UserSecretID])
    );
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820101525_Init')
BEGIN
    CREATE TABLE [WebPortals] (
        [Domain] nvarchar(450) NOT NULL,
        [FirstDomain] nvarchar(max) NULL,
        [Image] nvarchar(max) NULL,
        [Language] nvarchar(max) NULL,
        CONSTRAINT [PK_WebPortals] PRIMARY KEY ([Domain])
    );
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820101525_Init')
BEGIN
    CREATE TABLE [Users] (
        [UserID] nvarchar(450) NOT NULL,
        [Created] datetime2 NOT NULL,
        [Email] nvarchar(max) NOT NULL,
        [Nick] nvarchar(max) NOT NULL,
        [UserSecretID] nvarchar(450) NULL,
        CONSTRAINT [PK_Users] PRIMARY KEY ([UserID]),
        CONSTRAINT [FK_Users_UserSecret_UserSecretID] FOREIGN KEY ([UserSecretID]) REFERENCES [UserSecret] ([UserSecretID]) ON DELETE NO ACTION
    );
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820101525_Init')
BEGIN
    CREATE TABLE [PortalUsersConnections] (
        [ConnectionID] int NOT NULL IDENTITY,
        [PortalDomain] nvarchar(450) NULL,
        [PortalID] int NOT NULL,
        [UserID] nvarchar(450) NULL,
        CONSTRAINT [PK_PortalUsersConnections] PRIMARY KEY ([ConnectionID]),
        CONSTRAINT [FK_PortalUsersConnections_WebPortals_PortalDomain] FOREIGN KEY ([PortalDomain]) REFERENCES [WebPortals] ([Domain]) ON DELETE NO ACTION,
        CONSTRAINT [FK_PortalUsersConnections_Users_UserID] FOREIGN KEY ([UserID]) REFERENCES [Users] ([UserID]) ON DELETE NO ACTION
    );
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820101525_Init')
BEGIN
    CREATE TABLE [WebSitess] (
        [WebSiteID] int NOT NULL IDENTITY,
        [AddedDate] datetime2 NOT NULL,
        [AppUserUserID] nvarchar(450) NULL,
        [UrlAdrress] nvarchar(max) NOT NULL,
        [WebPortalID] nvarchar(450) NULL,
        CONSTRAINT [PK_WebSitess] PRIMARY KEY ([WebSiteID]),
        CONSTRAINT [FK_WebSitess_Users_AppUserUserID] FOREIGN KEY ([AppUserUserID]) REFERENCES [Users] ([UserID]) ON DELETE NO ACTION,
        CONSTRAINT [FK_WebSitess_WebPortals_WebPortalID] FOREIGN KEY ([WebPortalID]) REFERENCES [WebPortals] ([Domain]) ON DELETE NO ACTION
    );
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820101525_Init')
BEGIN
    CREATE INDEX [IX_PortalUsersConnections_PortalDomain] ON [PortalUsersConnections] ([PortalDomain]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820101525_Init')
BEGIN
    CREATE INDEX [IX_PortalUsersConnections_UserID] ON [PortalUsersConnections] ([UserID]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820101525_Init')
BEGIN
    CREATE INDEX [IX_Users_UserSecretID] ON [Users] ([UserSecretID]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820101525_Init')
BEGIN
    CREATE INDEX [IX_WebSitess_AppUserUserID] ON [WebSitess] ([AppUserUserID]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820101525_Init')
BEGIN
    CREATE INDEX [IX_WebSitess_WebPortalID] ON [WebSitess] ([WebPortalID]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820101525_Init')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20170820101525_Init', N'2.0.0-rtm-26452');
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820173400_userandsite')
BEGIN
    ALTER TABLE [WebSitess] DROP CONSTRAINT [FK_WebSitess_Users_AppUserUserID];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820173400_userandsite')
BEGIN
    DROP INDEX [IX_WebSitess_AppUserUserID] ON [WebSitess];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820173400_userandsite')
BEGIN
    DECLARE @var0 sysname;
    SELECT @var0 = [d].[name]
    FROM [sys].[default_constraints] [d]
    INNER JOIN [sys].[columns] [c] ON [d].[parent_column_id] = [c].[column_id] AND [d].[parent_object_id] = [c].[object_id]
    WHERE ([d].[parent_object_id] = OBJECT_ID(N'WebSitess') AND [c].[name] = N'AppUserUserID');
    IF @var0 IS NOT NULL EXEC(N'ALTER TABLE [WebSitess] DROP CONSTRAINT [' + @var0 + '];');
    ALTER TABLE [WebSitess] DROP COLUMN [AppUserUserID];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820173400_userandsite')
BEGIN
    ALTER TABLE [WebSitess] ADD [UserID] nvarchar(450) NULL;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820173400_userandsite')
BEGIN
    CREATE INDEX [IX_WebSitess_UserID] ON [WebSitess] ([UserID]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820173400_userandsite')
BEGIN
    ALTER TABLE [WebSitess] ADD CONSTRAINT [FK_WebSitess_Users_UserID] FOREIGN KEY ([UserID]) REFERENCES [Users] ([UserID]) ON DELETE NO ACTION;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820173400_userandsite')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20170820173400_userandsite', N'2.0.0-rtm-26452');
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820174358_usersecret')
BEGIN
    ALTER TABLE [Users] DROP CONSTRAINT [FK_Users_UserSecret_UserSecretID];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820174358_usersecret')
BEGIN
    DROP INDEX [IX_Users_UserSecretID] ON [Users];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820174358_usersecret')
BEGIN
    DECLARE @var1 sysname;
    SELECT @var1 = [d].[name]
    FROM [sys].[default_constraints] [d]
    INNER JOIN [sys].[columns] [c] ON [d].[parent_column_id] = [c].[column_id] AND [d].[parent_object_id] = [c].[object_id]
    WHERE ([d].[parent_object_id] = OBJECT_ID(N'Users') AND [c].[name] = N'UserSecretID');
    IF @var1 IS NOT NULL EXEC(N'ALTER TABLE [Users] DROP CONSTRAINT [' + @var1 + '];');
    ALTER TABLE [Users] DROP COLUMN [UserSecretID];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820174358_usersecret')
BEGIN
    ALTER TABLE [UserSecret] ADD [UserID] nvarchar(450) NULL;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820174358_usersecret')
BEGIN
    CREATE UNIQUE INDEX [IX_UserSecret_UserID] ON [UserSecret] ([UserID]) WHERE [UserID] IS NOT NULL;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820174358_usersecret')
BEGIN
    ALTER TABLE [UserSecret] ADD CONSTRAINT [FK_UserSecret_Users_UserID] FOREIGN KEY ([UserID]) REFERENCES [Users] ([UserID]) ON DELETE NO ACTION;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820174358_usersecret')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20170820174358_usersecret', N'2.0.0-rtm-26452');
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820203500_sitesedits')
BEGIN
    ALTER TABLE [WebSitess] DROP CONSTRAINT [FK_WebSitess_WebPortals_WebPortalID];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820203500_sitesedits')
BEGIN
    DROP INDEX [IX_WebSitess_WebPortalID] ON [WebSitess];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820203500_sitesedits')
BEGIN
    DECLARE @var2 sysname;
    SELECT @var2 = [d].[name]
    FROM [sys].[default_constraints] [d]
    INNER JOIN [sys].[columns] [c] ON [d].[parent_column_id] = [c].[column_id] AND [d].[parent_object_id] = [c].[object_id]
    WHERE ([d].[parent_object_id] = OBJECT_ID(N'WebSitess') AND [c].[name] = N'WebPortalID');
    IF @var2 IS NOT NULL EXEC(N'ALTER TABLE [WebSitess] DROP CONSTRAINT [' + @var2 + '];');
    ALTER TABLE [WebSitess] DROP COLUMN [WebPortalID];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820203500_sitesedits')
BEGIN
    DECLARE @var3 sysname;
    SELECT @var3 = [d].[name]
    FROM [sys].[default_constraints] [d]
    INNER JOIN [sys].[columns] [c] ON [d].[parent_column_id] = [c].[column_id] AND [d].[parent_object_id] = [c].[object_id]
    WHERE ([d].[parent_object_id] = OBJECT_ID(N'WebPortals') AND [c].[name] = N'FirstDomain');
    IF @var3 IS NOT NULL EXEC(N'ALTER TABLE [WebPortals] DROP CONSTRAINT [' + @var3 + '];');
    ALTER TABLE [WebPortals] DROP COLUMN [FirstDomain];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820203500_sitesedits')
BEGIN
    ALTER TABLE [WebSitess] ADD [Domain] nvarchar(450) NULL;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820203500_sitesedits')
BEGIN
    DECLARE @var4 sysname;
    SELECT @var4 = [d].[name]
    FROM [sys].[default_constraints] [d]
    INNER JOIN [sys].[columns] [c] ON [d].[parent_column_id] = [c].[column_id] AND [d].[parent_object_id] = [c].[object_id]
    WHERE ([d].[parent_object_id] = OBJECT_ID(N'UserSecret') AND [c].[name] = N'Password');
    IF @var4 IS NOT NULL EXEC(N'ALTER TABLE [UserSecret] DROP CONSTRAINT [' + @var4 + '];');
    ALTER TABLE [UserSecret] ALTER COLUMN [Password] nvarchar(max) NOT NULL;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820203500_sitesedits')
BEGIN
    CREATE INDEX [IX_WebSitess_Domain] ON [WebSitess] ([Domain]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820203500_sitesedits')
BEGIN
    ALTER TABLE [WebSitess] ADD CONSTRAINT [FK_WebSitess_WebPortals_Domain] FOREIGN KEY ([Domain]) REFERENCES [WebPortals] ([Domain]) ON DELETE NO ACTION;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170820203500_sitesedits')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20170820203500_sitesedits', N'2.0.0-rtm-26452');
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170905131129_portalEdits')
BEGIN
    ALTER TABLE [WebPortals] ADD [Name] nvarchar(max) NULL;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170905131129_portalEdits')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20170905131129_portalEdits', N'2.0.0-rtm-26452');
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170905182843_siteModelEdits')
BEGIN
    ALTER TABLE [WebSitess] ADD [Description] nvarchar(max) NULL;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170905182843_siteModelEdits')
BEGIN
    ALTER TABLE [WebSitess] ADD [Title] nvarchar(max) NULL;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170905182843_siteModelEdits')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20170905182843_siteModelEdits', N'2.0.0-rtm-26452');
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170908180439_websiteNoDomain')
BEGIN
    ALTER TABLE [WebSitess] DROP CONSTRAINT [FK_WebSitess_WebPortals_Domain];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170908180439_websiteNoDomain')
BEGIN
    DROP INDEX [IX_WebSitess_Domain] ON [WebSitess];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170908180439_websiteNoDomain')
BEGIN
    DECLARE @var5 sysname;
    SELECT @var5 = [d].[name]
    FROM [sys].[default_constraints] [d]
    INNER JOIN [sys].[columns] [c] ON [d].[parent_column_id] = [c].[column_id] AND [d].[parent_object_id] = [c].[object_id]
    WHERE ([d].[parent_object_id] = OBJECT_ID(N'WebSitess') AND [c].[name] = N'Domain');
    IF @var5 IS NOT NULL EXEC(N'ALTER TABLE [WebSitess] DROP CONSTRAINT [' + @var5 + '];');
    ALTER TABLE [WebSitess] DROP COLUMN [Domain];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170908180439_websiteNoDomain')
BEGIN
    ALTER TABLE [WebSitess] ADD [PortalDomain] nvarchar(450) NULL;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170908180439_websiteNoDomain')
BEGIN
    CREATE INDEX [IX_WebSitess_PortalDomain] ON [WebSitess] ([PortalDomain]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170908180439_websiteNoDomain')
BEGIN
    ALTER TABLE [WebSitess] ADD CONSTRAINT [FK_WebSitess_WebPortals_PortalDomain] FOREIGN KEY ([PortalDomain]) REFERENCES [WebPortals] ([Domain]) ON DELETE NO ACTION;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170908180439_websiteNoDomain')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20170908180439_websiteNoDomain', N'2.0.0-rtm-26452');
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170908195609_fluentEditation')
BEGIN
    DROP TABLE [PortalUsersConnections];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170908195609_fluentEditation')
BEGIN
    DECLARE @var6 sysname;
    SELECT @var6 = [d].[name]
    FROM [sys].[default_constraints] [d]
    INNER JOIN [sys].[columns] [c] ON [d].[parent_column_id] = [c].[column_id] AND [d].[parent_object_id] = [c].[object_id]
    WHERE ([d].[parent_object_id] = OBJECT_ID(N'WebSitess') AND [c].[name] = N'UrlAdrress');
    IF @var6 IS NOT NULL EXEC(N'ALTER TABLE [WebSitess] DROP CONSTRAINT [' + @var6 + '];');
    ALTER TABLE [WebSitess] ALTER COLUMN [UrlAdrress] nvarchar(max) NULL;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170908195609_fluentEditation')
BEGIN
    DECLARE @var7 sysname;
    SELECT @var7 = [d].[name]
    FROM [sys].[default_constraints] [d]
    INNER JOIN [sys].[columns] [c] ON [d].[parent_column_id] = [c].[column_id] AND [d].[parent_object_id] = [c].[object_id]
    WHERE ([d].[parent_object_id] = OBJECT_ID(N'UserSecret') AND [c].[name] = N'Password');
    IF @var7 IS NOT NULL EXEC(N'ALTER TABLE [UserSecret] DROP CONSTRAINT [' + @var7 + '];');
    ALTER TABLE [UserSecret] ALTER COLUMN [Password] nvarchar(max) NULL;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170908195609_fluentEditation')
BEGIN
    DECLARE @var8 sysname;
    SELECT @var8 = [d].[name]
    FROM [sys].[default_constraints] [d]
    INNER JOIN [sys].[columns] [c] ON [d].[parent_column_id] = [c].[column_id] AND [d].[parent_object_id] = [c].[object_id]
    WHERE ([d].[parent_object_id] = OBJECT_ID(N'Users') AND [c].[name] = N'Nick');
    IF @var8 IS NOT NULL EXEC(N'ALTER TABLE [Users] DROP CONSTRAINT [' + @var8 + '];');
    ALTER TABLE [Users] ALTER COLUMN [Nick] nvarchar(max) NULL;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170908195609_fluentEditation')
BEGIN
    DECLARE @var9 sysname;
    SELECT @var9 = [d].[name]
    FROM [sys].[default_constraints] [d]
    INNER JOIN [sys].[columns] [c] ON [d].[parent_column_id] = [c].[column_id] AND [d].[parent_object_id] = [c].[object_id]
    WHERE ([d].[parent_object_id] = OBJECT_ID(N'Users') AND [c].[name] = N'Email');
    IF @var9 IS NOT NULL EXEC(N'ALTER TABLE [Users] DROP CONSTRAINT [' + @var9 + '];');
    ALTER TABLE [Users] ALTER COLUMN [Email] nvarchar(max) NULL;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170908195609_fluentEditation')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20170908195609_fluentEditation', N'2.0.0-rtm-26452');
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170913121756_usersToSitesRelation')
BEGIN
    ALTER TABLE [WebSitess] DROP CONSTRAINT [FK_WebSitess_Users_UserID];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170913121756_usersToSitesRelation')
BEGIN
    DROP INDEX [IX_WebSitess_UserID] ON [WebSitess];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170913121756_usersToSitesRelation')
BEGIN
    DECLARE @var10 sysname;
    SELECT @var10 = [d].[name]
    FROM [sys].[default_constraints] [d]
    INNER JOIN [sys].[columns] [c] ON [d].[parent_column_id] = [c].[column_id] AND [d].[parent_object_id] = [c].[object_id]
    WHERE ([d].[parent_object_id] = OBJECT_ID(N'WebSitess') AND [c].[name] = N'UserID');
    IF @var10 IS NOT NULL EXEC(N'ALTER TABLE [WebSitess] DROP CONSTRAINT [' + @var10 + '];');
    ALTER TABLE [WebSitess] DROP COLUMN [UserID];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170913121756_usersToSitesRelation')
BEGIN
    CREATE TABLE [UsersToSitesConnectors] (
        [AppUserToSiteConnectorID] int NOT NULL IDENTITY,
        [UserID] nvarchar(450) NULL,
        [WebSiteID] int NOT NULL,
        CONSTRAINT [PK_UsersToSitesConnectors] PRIMARY KEY ([AppUserToSiteConnectorID]),
        CONSTRAINT [FK_UsersToSitesConnectors_Users_UserID] FOREIGN KEY ([UserID]) REFERENCES [Users] ([UserID]) ON DELETE NO ACTION,
        CONSTRAINT [FK_UsersToSitesConnectors_WebSitess_WebSiteID] FOREIGN KEY ([WebSiteID]) REFERENCES [WebSitess] ([WebSiteID]) ON DELETE CASCADE
    );
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170913121756_usersToSitesRelation')
BEGIN
    CREATE INDEX [IX_UsersToSitesConnectors_UserID] ON [UsersToSitesConnectors] ([UserID]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170913121756_usersToSitesRelation')
BEGIN
    CREATE INDEX [IX_UsersToSitesConnectors_WebSiteID] ON [UsersToSitesConnectors] ([WebSiteID]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170913121756_usersToSitesRelation')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20170913121756_usersToSitesRelation', N'2.0.0-rtm-26452');
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170913130541_websiteKeyChanged')
BEGIN
    ALTER TABLE [UsersToSitesConnectors] DROP CONSTRAINT [FK_UsersToSitesConnectors_WebSitess_WebSiteID];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170913130541_websiteKeyChanged')
BEGIN
    ALTER TABLE [WebSitess] DROP CONSTRAINT [PK_WebSitess];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170913130541_websiteKeyChanged')
BEGIN
    DROP INDEX [IX_UsersToSitesConnectors_WebSiteID] ON [UsersToSitesConnectors];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170913130541_websiteKeyChanged')
BEGIN
    DECLARE @var11 sysname;
    SELECT @var11 = [d].[name]
    FROM [sys].[default_constraints] [d]
    INNER JOIN [sys].[columns] [c] ON [d].[parent_column_id] = [c].[column_id] AND [d].[parent_object_id] = [c].[object_id]
    WHERE ([d].[parent_object_id] = OBJECT_ID(N'WebSitess') AND [c].[name] = N'WebSiteID');
    IF @var11 IS NOT NULL EXEC(N'ALTER TABLE [WebSitess] DROP CONSTRAINT [' + @var11 + '];');
    ALTER TABLE [WebSitess] DROP COLUMN [WebSiteID];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170913130541_websiteKeyChanged')
BEGIN
    DECLARE @var12 sysname;
    SELECT @var12 = [d].[name]
    FROM [sys].[default_constraints] [d]
    INNER JOIN [sys].[columns] [c] ON [d].[parent_column_id] = [c].[column_id] AND [d].[parent_object_id] = [c].[object_id]
    WHERE ([d].[parent_object_id] = OBJECT_ID(N'WebSitess') AND [c].[name] = N'UrlAdrress');
    IF @var12 IS NOT NULL EXEC(N'ALTER TABLE [WebSitess] DROP CONSTRAINT [' + @var12 + '];');
    ALTER TABLE [WebSitess] DROP COLUMN [UrlAdrress];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170913130541_websiteKeyChanged')
BEGIN
    DECLARE @var13 sysname;
    SELECT @var13 = [d].[name]
    FROM [sys].[default_constraints] [d]
    INNER JOIN [sys].[columns] [c] ON [d].[parent_column_id] = [c].[column_id] AND [d].[parent_object_id] = [c].[object_id]
    WHERE ([d].[parent_object_id] = OBJECT_ID(N'UsersToSitesConnectors') AND [c].[name] = N'WebSiteID');
    IF @var13 IS NOT NULL EXEC(N'ALTER TABLE [UsersToSitesConnectors] DROP CONSTRAINT [' + @var13 + '];');
    ALTER TABLE [UsersToSitesConnectors] DROP COLUMN [WebSiteID];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170913130541_websiteKeyChanged')
BEGIN
    ALTER TABLE [WebSitess] ADD [WebSiteURL] nvarchar(450) NOT NULL DEFAULT N'';
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170913130541_websiteKeyChanged')
BEGIN
    ALTER TABLE [UsersToSitesConnectors] ADD [WebSiteURL] nvarchar(450) NULL;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170913130541_websiteKeyChanged')
BEGIN
    ALTER TABLE [WebSitess] ADD CONSTRAINT [PK_WebSitess] PRIMARY KEY ([WebSiteURL]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170913130541_websiteKeyChanged')
BEGIN
    CREATE INDEX [IX_UsersToSitesConnectors_WebSiteURL] ON [UsersToSitesConnectors] ([WebSiteURL]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170913130541_websiteKeyChanged')
BEGIN
    ALTER TABLE [UsersToSitesConnectors] ADD CONSTRAINT [FK_UsersToSitesConnectors_WebSitess_WebSiteURL] FOREIGN KEY ([WebSiteURL]) REFERENCES [WebSitess] ([WebSiteURL]) ON DELETE NO ACTION;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170913130541_websiteKeyChanged')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20170913130541_websiteKeyChanged', N'2.0.0-rtm-26452');
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170913220142_siteHTMLModel')
BEGIN
    ALTER TABLE [WebSitess] ADD [FirstImage] nvarchar(max) NULL;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170913220142_siteHTMLModel')
BEGIN
    ALTER TABLE [WebSitess] ADD [MainHeader] nvarchar(max) NULL;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170913220142_siteHTMLModel')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20170913220142_siteHTMLModel', N'2.0.0-rtm-26452');
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170915183718_connectorDate')
BEGIN
    ALTER TABLE [UsersToSitesConnectors] ADD [ConnectorCreated] datetime2 NOT NULL DEFAULT '0001-01-01T00:00:00.000';
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170915183718_connectorDate')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20170915183718_connectorDate', N'2.0.0-rtm-26452');
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170918154522_websiteParagraph')
BEGIN
    ALTER TABLE [WebSitess] DROP CONSTRAINT [FK_WebSitess_WebPortals_PortalDomain];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170918154522_websiteParagraph')
BEGIN
    ALTER TABLE [WebPortals] DROP CONSTRAINT [PK_WebPortals];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170918154522_websiteParagraph')
BEGIN
    DECLARE @var14 sysname;
    SELECT @var14 = [d].[name]
    FROM [sys].[default_constraints] [d]
    INNER JOIN [sys].[columns] [c] ON [d].[parent_column_id] = [c].[column_id] AND [d].[parent_object_id] = [c].[object_id]
    WHERE ([d].[parent_object_id] = OBJECT_ID(N'WebPortals') AND [c].[name] = N'Domain');
    IF @var14 IS NOT NULL EXEC(N'ALTER TABLE [WebPortals] DROP CONSTRAINT [' + @var14 + '];');
    ALTER TABLE [WebPortals] DROP COLUMN [Domain];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170918154522_websiteParagraph')
BEGIN
    ALTER TABLE [WebSitess] ADD [MainParagraph] nvarchar(max) NULL;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170918154522_websiteParagraph')
BEGIN
    ALTER TABLE [WebPortals] ADD [PortalDomain] nvarchar(450) NOT NULL DEFAULT N'';
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170918154522_websiteParagraph')
BEGIN
    ALTER TABLE [WebPortals] ADD CONSTRAINT [PK_WebPortals] PRIMARY KEY ([PortalDomain]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170918154522_websiteParagraph')
BEGIN
    ALTER TABLE [WebSitess] ADD CONSTRAINT [FK_WebSitess_WebPortals_PortalDomain] FOREIGN KEY ([PortalDomain]) REFERENCES [WebPortals] ([PortalDomain]) ON DELETE NO ACTION;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170918154522_websiteParagraph')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20170918154522_websiteParagraph', N'2.0.0-rtm-26452');
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170923194620_languageRemoveFromPortal')
BEGIN
    DECLARE @var15 sysname;
    SELECT @var15 = [d].[name]
    FROM [sys].[default_constraints] [d]
    INNER JOIN [sys].[columns] [c] ON [d].[parent_column_id] = [c].[column_id] AND [d].[parent_object_id] = [c].[object_id]
    WHERE ([d].[parent_object_id] = OBJECT_ID(N'WebPortals') AND [c].[name] = N'Language');
    IF @var15 IS NOT NULL EXEC(N'ALTER TABLE [WebPortals] DROP CONSTRAINT [' + @var15 + '];');
    ALTER TABLE [WebPortals] DROP COLUMN [Language];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20170923194620_languageRemoveFromPortal')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20170923194620_languageRemoveFromPortal', N'2.0.0-rtm-26452');
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171002191756_sitesChecks')
BEGIN
    ALTER TABLE [WebSitess] ADD [HasOkStatusCode] bit NOT NULL DEFAULT 0;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171002191756_sitesChecks')
BEGIN
    ALTER TABLE [WebSitess] ADD [LastCheckDate] datetime2 NOT NULL DEFAULT '0001-01-01T00:00:00.000';
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171002191756_sitesChecks')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20171002191756_sitesChecks', N'2.0.0-rtm-26452');
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171012082850_usersClicks')
BEGIN
    CREATE TABLE [WebSiteClick] (
        [WebSiteClickID] int NOT NULL IDENTITY,
        [Created] datetime2 NOT NULL,
        [UserID] nvarchar(450) NULL,
        [WebSiteUrl] nvarchar(450) NULL,
        CONSTRAINT [PK_WebSiteClick] PRIMARY KEY ([WebSiteClickID]),
        CONSTRAINT [FK_WebSiteClick_Users_UserID] FOREIGN KEY ([UserID]) REFERENCES [Users] ([UserID]) ON DELETE NO ACTION,
        CONSTRAINT [FK_WebSiteClick_WebSitess_WebSiteUrl] FOREIGN KEY ([WebSiteUrl]) REFERENCES [WebSitess] ([WebSiteURL]) ON DELETE NO ACTION
    );
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171012082850_usersClicks')
BEGIN
    CREATE INDEX [IX_WebSiteClick_UserID] ON [WebSiteClick] ([UserID]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171012082850_usersClicks')
BEGIN
    CREATE INDEX [IX_WebSiteClick_WebSiteUrl] ON [WebSiteClick] ([WebSiteUrl]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171012082850_usersClicks')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20171012082850_usersClicks', N'2.0.0-rtm-26452');
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171012083452_clicksEdit01')
BEGIN
    ALTER TABLE [WebSiteClick] DROP CONSTRAINT [FK_WebSiteClick_Users_UserID];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171012083452_clicksEdit01')
BEGIN
    ALTER TABLE [WebSiteClick] DROP CONSTRAINT [FK_WebSiteClick_WebSitess_WebSiteUrl];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171012083452_clicksEdit01')
BEGIN
    ALTER TABLE [WebSiteClick] DROP CONSTRAINT [PK_WebSiteClick];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171012083452_clicksEdit01')
BEGIN
    EXEC sp_rename N'WebSiteClick', N'UsersToSitesClicks';
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171012083452_clicksEdit01')
BEGIN
    EXEC sp_rename N'UsersToSitesClicks.WebSiteUrl', N'WebSiteURL', N'COLUMN';
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171012083452_clicksEdit01')
BEGIN
    EXEC sp_rename N'UsersToSitesClicks.IX_WebSiteClick_WebSiteUrl', N'IX_UsersToSitesClicks_WebSiteURL', N'INDEX';
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171012083452_clicksEdit01')
BEGIN
    EXEC sp_rename N'UsersToSitesClicks.IX_WebSiteClick_UserID', N'IX_UsersToSitesClicks_UserID', N'INDEX';
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171012083452_clicksEdit01')
BEGIN
    ALTER TABLE [UsersToSitesClicks] ADD CONSTRAINT [PK_UsersToSitesClicks] PRIMARY KEY ([WebSiteClickID]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171012083452_clicksEdit01')
BEGIN
    ALTER TABLE [UsersToSitesClicks] ADD CONSTRAINT [FK_UsersToSitesClicks_Users_UserID] FOREIGN KEY ([UserID]) REFERENCES [Users] ([UserID]) ON DELETE NO ACTION;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171012083452_clicksEdit01')
BEGIN
    ALTER TABLE [UsersToSitesClicks] ADD CONSTRAINT [FK_UsersToSitesClicks_WebSitess_WebSiteURL] FOREIGN KEY ([WebSiteURL]) REFERENCES [WebSitess] ([WebSiteURL]) ON DELETE NO ACTION;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171012083452_clicksEdit01')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20171012083452_clicksEdit01', N'2.0.0-rtm-26452');
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113192035_postChannels')
BEGIN
    ALTER TABLE [Users] ADD [ChannelID] int NOT NULL DEFAULT 0;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113192035_postChannels')
BEGIN
    CREATE TABLE [Channel] (
        [ChannelID] int NOT NULL IDENTITY,
        [UserID] nvarchar(450) NULL,
        CONSTRAINT [PK_Channel] PRIMARY KEY ([ChannelID]),
        CONSTRAINT [FK_Channel_Users_UserID] FOREIGN KEY ([UserID]) REFERENCES [Users] ([UserID]) ON DELETE NO ACTION
    );
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113192035_postChannels')
BEGIN
    CREATE TABLE [Post] (
        [PostID] int NOT NULL IDENTITY,
        [ChannelID] int NOT NULL,
        [Created] datetime2 NOT NULL,
        [IsPublic] bit NOT NULL,
        [WebSiteURL] int NOT NULL,
        [WebsiteContentWebSiteURL] nvarchar(450) NULL,
        CONSTRAINT [PK_Post] PRIMARY KEY ([PostID]),
        CONSTRAINT [FK_Post_Channel_ChannelID] FOREIGN KEY ([ChannelID]) REFERENCES [Channel] ([ChannelID]) ON DELETE CASCADE,
        CONSTRAINT [FK_Post_WebSitess_WebsiteContentWebSiteURL] FOREIGN KEY ([WebsiteContentWebSiteURL]) REFERENCES [WebSitess] ([WebSiteURL]) ON DELETE NO ACTION
    );
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113192035_postChannels')
BEGIN
    CREATE TABLE [Subscription] (
        [SubscriptionID] int NOT NULL IDENTITY,
        [ChannelID] int NOT NULL,
        [UserID] nvarchar(450) NULL,
        CONSTRAINT [PK_Subscription] PRIMARY KEY ([SubscriptionID]),
        CONSTRAINT [FK_Subscription_Channel_ChannelID] FOREIGN KEY ([ChannelID]) REFERENCES [Channel] ([ChannelID]) ON DELETE CASCADE,
        CONSTRAINT [FK_Subscription_Users_UserID] FOREIGN KEY ([UserID]) REFERENCES [Users] ([UserID]) ON DELETE NO ACTION
    );
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113192035_postChannels')
BEGIN
    CREATE UNIQUE INDEX [IX_Channel_UserID] ON [Channel] ([UserID]) WHERE [UserID] IS NOT NULL;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113192035_postChannels')
BEGIN
    CREATE INDEX [IX_Post_ChannelID] ON [Post] ([ChannelID]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113192035_postChannels')
BEGIN
    CREATE INDEX [IX_Post_WebsiteContentWebSiteURL] ON [Post] ([WebsiteContentWebSiteURL]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113192035_postChannels')
BEGIN
    CREATE INDEX [IX_Subscription_ChannelID] ON [Subscription] ([ChannelID]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113192035_postChannels')
BEGIN
    CREATE INDEX [IX_Subscription_UserID] ON [Subscription] ([UserID]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113192035_postChannels')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20171113192035_postChannels', N'2.0.0-rtm-26452');
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    ALTER TABLE [Channel] DROP CONSTRAINT [FK_Channel_Users_UserID];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    ALTER TABLE [Post] DROP CONSTRAINT [FK_Post_Channel_ChannelID];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    ALTER TABLE [Post] DROP CONSTRAINT [FK_Post_WebSitess_WebsiteContentWebSiteURL];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    ALTER TABLE [Subscription] DROP CONSTRAINT [FK_Subscription_Channel_ChannelID];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    ALTER TABLE [Subscription] DROP CONSTRAINT [FK_Subscription_Users_UserID];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    ALTER TABLE [Subscription] DROP CONSTRAINT [PK_Subscription];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    ALTER TABLE [Post] DROP CONSTRAINT [PK_Post];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    DROP INDEX [IX_Post_WebsiteContentWebSiteURL] ON [Post];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    ALTER TABLE [Channel] DROP CONSTRAINT [PK_Channel];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    DECLARE @var16 sysname;
    SELECT @var16 = [d].[name]
    FROM [sys].[default_constraints] [d]
    INNER JOIN [sys].[columns] [c] ON [d].[parent_column_id] = [c].[column_id] AND [d].[parent_object_id] = [c].[object_id]
    WHERE ([d].[parent_object_id] = OBJECT_ID(N'Post') AND [c].[name] = N'WebSiteURL');
    IF @var16 IS NOT NULL EXEC(N'ALTER TABLE [Post] DROP CONSTRAINT [' + @var16 + '];');
    ALTER TABLE [Post] DROP COLUMN [WebSiteURL];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    DECLARE @var17 sysname;
    SELECT @var17 = [d].[name]
    FROM [sys].[default_constraints] [d]
    INNER JOIN [sys].[columns] [c] ON [d].[parent_column_id] = [c].[column_id] AND [d].[parent_object_id] = [c].[object_id]
    WHERE ([d].[parent_object_id] = OBJECT_ID(N'Post') AND [c].[name] = N'WebsiteContentWebSiteURL');
    IF @var17 IS NOT NULL EXEC(N'ALTER TABLE [Post] DROP CONSTRAINT [' + @var17 + '];');
    ALTER TABLE [Post] DROP COLUMN [WebsiteContentWebSiteURL];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    EXEC sp_rename N'Subscription', N'Subscriptions';
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    EXEC sp_rename N'Post', N'Posts';
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    EXEC sp_rename N'Channel', N'UsersChannels';
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    EXEC sp_rename N'Subscriptions.IX_Subscription_UserID', N'IX_Subscriptions_UserID', N'INDEX';
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    EXEC sp_rename N'Subscriptions.IX_Subscription_ChannelID', N'IX_Subscriptions_ChannelID', N'INDEX';
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    EXEC sp_rename N'Posts.IX_Post_ChannelID', N'IX_Posts_ChannelID', N'INDEX';
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    EXEC sp_rename N'UsersChannels.IX_Channel_UserID', N'IX_UsersChannels_UserID', N'INDEX';
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    ALTER TABLE [Subscriptions] ADD CONSTRAINT [PK_Subscriptions] PRIMARY KEY ([SubscriptionID]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    ALTER TABLE [Posts] ADD CONSTRAINT [PK_Posts] PRIMARY KEY ([PostID]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    ALTER TABLE [UsersChannels] ADD CONSTRAINT [PK_UsersChannels] PRIMARY KEY ([ChannelID]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    CREATE TABLE [PostToWebsiteConnectors] (
        [PostToSiteConnectorID] int NOT NULL IDENTITY,
        [ConnectorCreated] datetime2 NOT NULL,
        [PostID] nvarchar(max) NULL,
        [PostID1] int NULL,
        [WebSiteURL] nvarchar(450) NULL,
        CONSTRAINT [PK_PostToWebsiteConnectors] PRIMARY KEY ([PostToSiteConnectorID]),
        CONSTRAINT [FK_PostToWebsiteConnectors_Posts_PostID1] FOREIGN KEY ([PostID1]) REFERENCES [Posts] ([PostID]) ON DELETE NO ACTION,
        CONSTRAINT [FK_PostToWebsiteConnectors_WebSitess_WebSiteURL] FOREIGN KEY ([WebSiteURL]) REFERENCES [WebSitess] ([WebSiteURL]) ON DELETE NO ACTION
    );
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    CREATE INDEX [IX_PostToWebsiteConnectors_PostID1] ON [PostToWebsiteConnectors] ([PostID1]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    CREATE INDEX [IX_PostToWebsiteConnectors_WebSiteURL] ON [PostToWebsiteConnectors] ([WebSiteURL]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    ALTER TABLE [Posts] ADD CONSTRAINT [FK_Posts_UsersChannels_ChannelID] FOREIGN KEY ([ChannelID]) REFERENCES [UsersChannels] ([ChannelID]) ON DELETE CASCADE;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    ALTER TABLE [Subscriptions] ADD CONSTRAINT [FK_Subscriptions_UsersChannels_ChannelID] FOREIGN KEY ([ChannelID]) REFERENCES [UsersChannels] ([ChannelID]) ON DELETE CASCADE;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    ALTER TABLE [Subscriptions] ADD CONSTRAINT [FK_Subscriptions_Users_UserID] FOREIGN KEY ([UserID]) REFERENCES [Users] ([UserID]) ON DELETE NO ACTION;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    ALTER TABLE [UsersChannels] ADD CONSTRAINT [FK_UsersChannels_Users_UserID] FOREIGN KEY ([UserID]) REFERENCES [Users] ([UserID]) ON DELETE NO ACTION;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171113203806_postWebsiteConnectors')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20171113203806_postWebsiteConnectors', N'2.0.0-rtm-26452');
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171115135102_postsAsConnectors')
BEGIN
    DROP TABLE [PostToWebsiteConnectors];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171115135102_postsAsConnectors')
BEGIN
    ALTER TABLE [Posts] ADD [WebSiteURL] nvarchar(450) NULL;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171115135102_postsAsConnectors')
BEGIN
    CREATE INDEX [IX_Posts_WebSiteURL] ON [Posts] ([WebSiteURL]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171115135102_postsAsConnectors')
BEGIN
    ALTER TABLE [Posts] ADD CONSTRAINT [FK_Posts_WebSitess_WebSiteURL] FOREIGN KEY ([WebSiteURL]) REFERENCES [WebSitess] ([WebSiteURL]) ON DELETE NO ACTION;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171115135102_postsAsConnectors')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20171115135102_postsAsConnectors', N'2.0.0-rtm-26452');
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171115135601_namesEdited')
BEGIN
    ALTER TABLE [UsersToSitesConnectors] DROP CONSTRAINT [PK_UsersToSitesConnectors];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171115135601_namesEdited')
BEGIN
    DECLARE @var18 sysname;
    SELECT @var18 = [d].[name]
    FROM [sys].[default_constraints] [d]
    INNER JOIN [sys].[columns] [c] ON [d].[parent_column_id] = [c].[column_id] AND [d].[parent_object_id] = [c].[object_id]
    WHERE ([d].[parent_object_id] = OBJECT_ID(N'UsersToSitesConnectors') AND [c].[name] = N'AppUserToSiteConnectorID');
    IF @var18 IS NOT NULL EXEC(N'ALTER TABLE [UsersToSitesConnectors] DROP CONSTRAINT [' + @var18 + '];');
    ALTER TABLE [UsersToSitesConnectors] DROP COLUMN [AppUserToSiteConnectorID];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171115135601_namesEdited')
BEGIN
    EXEC sp_rename N'WebSitess.WebSiteURL', N'WebsiteURL', N'COLUMN';
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171115135601_namesEdited')
BEGIN
    ALTER TABLE [UsersToSitesConnectors] ADD [SavedWebsiteID] int NOT NULL IDENTITY;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171115135601_namesEdited')
BEGIN
    ALTER TABLE [UsersToSitesConnectors] ADD CONSTRAINT [PK_UsersToSitesConnectors] PRIMARY KEY ([SavedWebsiteID]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171115135601_namesEdited')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20171115135601_namesEdited', N'2.0.0-rtm-26452');
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121144932_nameEdits')
BEGIN
    ALTER TABLE [Posts] DROP CONSTRAINT [FK_Posts_WebSitess_WebSiteURL];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121144932_nameEdits')
BEGIN
    ALTER TABLE [UsersToSitesClicks] DROP CONSTRAINT [FK_UsersToSitesClicks_Users_UserID];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121144932_nameEdits')
BEGIN
    ALTER TABLE [UsersToSitesClicks] DROP CONSTRAINT [FK_UsersToSitesClicks_WebSitess_WebSiteURL];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121144932_nameEdits')
BEGIN
    ALTER TABLE [UsersToSitesConnectors] DROP CONSTRAINT [FK_UsersToSitesConnectors_Users_UserID];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121144932_nameEdits')
BEGIN
    ALTER TABLE [UsersToSitesConnectors] DROP CONSTRAINT [FK_UsersToSitesConnectors_WebSitess_WebSiteURL];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121144932_nameEdits')
BEGIN
    ALTER TABLE [WebSitess] DROP CONSTRAINT [FK_WebSitess_WebPortals_PortalDomain];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121144932_nameEdits')
BEGIN
    ALTER TABLE [WebSitess] DROP CONSTRAINT [PK_WebSitess];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121144932_nameEdits')
BEGIN
    ALTER TABLE [UsersToSitesConnectors] DROP CONSTRAINT [PK_UsersToSitesConnectors];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121144932_nameEdits')
BEGIN
    ALTER TABLE [UsersToSitesClicks] DROP CONSTRAINT [PK_UsersToSitesClicks];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121144932_nameEdits')
BEGIN
    EXEC sp_rename N'WebSitess', N'Websites';
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121144932_nameEdits')
BEGIN
    EXEC sp_rename N'UsersToSitesConnectors', N'SavedWebsites';
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121144932_nameEdits')
BEGIN
    EXEC sp_rename N'UsersToSitesClicks', N'WebsitesClicks';
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121144932_nameEdits')
BEGIN
    EXEC sp_rename N'Websites.IX_WebSitess_PortalDomain', N'IX_Websites_PortalDomain', N'INDEX';
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121144932_nameEdits')
BEGIN
    EXEC sp_rename N'SavedWebsites.IX_UsersToSitesConnectors_WebSiteURL', N'IX_SavedWebsites_WebSiteURL', N'INDEX';
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121144932_nameEdits')
BEGIN
    EXEC sp_rename N'SavedWebsites.IX_UsersToSitesConnectors_UserID', N'IX_SavedWebsites_UserID', N'INDEX';
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121144932_nameEdits')
BEGIN
    EXEC sp_rename N'WebsitesClicks.IX_UsersToSitesClicks_WebSiteURL', N'IX_WebsitesClicks_WebSiteURL', N'INDEX';
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121144932_nameEdits')
BEGIN
    EXEC sp_rename N'WebsitesClicks.IX_UsersToSitesClicks_UserID', N'IX_WebsitesClicks_UserID', N'INDEX';
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121144932_nameEdits')
BEGIN
    ALTER TABLE [Websites] ADD CONSTRAINT [PK_Websites] PRIMARY KEY ([WebsiteURL]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121144932_nameEdits')
BEGIN
    ALTER TABLE [SavedWebsites] ADD CONSTRAINT [PK_SavedWebsites] PRIMARY KEY ([SavedWebsiteID]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121144932_nameEdits')
BEGIN
    ALTER TABLE [WebsitesClicks] ADD CONSTRAINT [PK_WebsitesClicks] PRIMARY KEY ([WebSiteClickID]);
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121144932_nameEdits')
BEGIN
    ALTER TABLE [Posts] ADD CONSTRAINT [FK_Posts_Websites_WebSiteURL] FOREIGN KEY ([WebSiteURL]) REFERENCES [Websites] ([WebsiteURL]) ON DELETE NO ACTION;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121144932_nameEdits')
BEGIN
    ALTER TABLE [SavedWebsites] ADD CONSTRAINT [FK_SavedWebsites_Users_UserID] FOREIGN KEY ([UserID]) REFERENCES [Users] ([UserID]) ON DELETE NO ACTION;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121144932_nameEdits')
BEGIN
    ALTER TABLE [SavedWebsites] ADD CONSTRAINT [FK_SavedWebsites_Websites_WebSiteURL] FOREIGN KEY ([WebSiteURL]) REFERENCES [Websites] ([WebsiteURL]) ON DELETE NO ACTION;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121144932_nameEdits')
BEGIN
    ALTER TABLE [Websites] ADD CONSTRAINT [FK_Websites_WebPortals_PortalDomain] FOREIGN KEY ([PortalDomain]) REFERENCES [WebPortals] ([PortalDomain]) ON DELETE NO ACTION;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121144932_nameEdits')
BEGIN
    ALTER TABLE [WebsitesClicks] ADD CONSTRAINT [FK_WebsitesClicks_Users_UserID] FOREIGN KEY ([UserID]) REFERENCES [Users] ([UserID]) ON DELETE NO ACTION;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121144932_nameEdits')
BEGIN
    ALTER TABLE [WebsitesClicks] ADD CONSTRAINT [FK_WebsitesClicks_Websites_WebSiteURL] FOREIGN KEY ([WebSiteURL]) REFERENCES [Websites] ([WebsiteURL]) ON DELETE NO ACTION;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121144932_nameEdits')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20171121144932_nameEdits', N'2.0.0-rtm-26452');
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121153127_channelKeyEdit')
BEGIN
    DECLARE @var19 sysname;
    SELECT @var19 = [d].[name]
    FROM [sys].[default_constraints] [d]
    INNER JOIN [sys].[columns] [c] ON [d].[parent_column_id] = [c].[column_id] AND [d].[parent_object_id] = [c].[object_id]
    WHERE ([d].[parent_object_id] = OBJECT_ID(N'Users') AND [c].[name] = N'ChannelID');
    IF @var19 IS NOT NULL EXEC(N'ALTER TABLE [Users] DROP CONSTRAINT [' + @var19 + '];');
    ALTER TABLE [Users] DROP COLUMN [ChannelID];
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171121153127_channelKeyEdit')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20171121153127_channelKeyEdit', N'2.0.0-rtm-26452');
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171125082501_channelBlockEdit')
BEGIN
    ALTER TABLE [UsersChannels] ADD [Blocked] bit NOT NULL DEFAULT 0;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171125082501_channelBlockEdit')
BEGIN
    ALTER TABLE [UsersChannels] ADD [Created] datetime2 NOT NULL DEFAULT '0001-01-01T00:00:00.000';
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171125082501_channelBlockEdit')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20171125082501_channelBlockEdit', N'2.0.0-rtm-26452');
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171129205944_subscriptionDatetime')
BEGIN
    ALTER TABLE [Subscriptions] ADD [SubscribedDate] datetime2 NOT NULL DEFAULT '0001-01-01T00:00:00.000';
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171129205944_subscriptionDatetime')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20171129205944_subscriptionDatetime', N'2.0.0-rtm-26452');
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171130212503_UserEdits02')
BEGIN
    ALTER TABLE [Users] ADD [Description] nvarchar(max) NULL;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171130212503_UserEdits02')
BEGIN
    ALTER TABLE [Users] ADD [IconAvatar] nvarchar(max) NULL;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171130212503_UserEdits02')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20171130212503_UserEdits02', N'2.0.0-rtm-26452');
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171229234300_channelIdentificator')
BEGIN
    ALTER TABLE [UsersChannels] ADD [UniqueIdentificator] nvarchar(max) NULL;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171229234300_channelIdentificator')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20171229234300_channelIdentificator', N'2.0.0-rtm-26452');
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171231124826_uniqueDefault01')
BEGIN
    DECLARE @var20 sysname;
    SELECT @var20 = [d].[name]
    FROM [sys].[default_constraints] [d]
    INNER JOIN [sys].[columns] [c] ON [d].[parent_column_id] = [c].[column_id] AND [d].[parent_object_id] = [c].[object_id]
    WHERE ([d].[parent_object_id] = OBJECT_ID(N'UsersChannels') AND [c].[name] = N'UniqueIdentificator');
    IF @var20 IS NOT NULL EXEC(N'ALTER TABLE [UsersChannels] DROP CONSTRAINT [' + @var20 + '];');
    ALTER TABLE [UsersChannels] ALTER COLUMN [UniqueIdentificator] nvarchar(max) NOT NULL;
END;

GO

IF NOT EXISTS(SELECT * FROM [__EFMigrationsHistory] WHERE [MigrationId] = N'20171231124826_uniqueDefault01')
BEGIN
    INSERT INTO [__EFMigrationsHistory] ([MigrationId], [ProductVersion])
    VALUES (N'20171231124826_uniqueDefault01', N'2.0.0-rtm-26452');
END;

GO

